Bug 35071 - Overview about locked users in the domain
Overview about locked users in the domain
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-2-errata
Assigned To: Lukas Oyen
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-06 09:48 CEST by Michel Smidt
Modified: 2017-10-18 12:02 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.023
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
requate: Patch_Available+


Attachments
Search for locked out Samba users (6.10 KB, text/x-python)
2016-09-12 14:02 CEST, Lukas Oyen
Details
Testscript for `univention-samba-lockedout` (1.46 KB, application/x-shellscript)
2016-09-12 14:03 CEST, Lukas Oyen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Smidt univentionstaff 2014-06-06 09:48:47 CEST
By customer request.

Since UCS 3.2 erratum 85 samba supports the domain account lockout with the command: samba-tool domain passwordsettings

The customer would like to get a possibility to the see all locked user in the domain.
Comment 1 Lukas Oyen univentionstaff 2016-09-12 14:02:42 CEST
Created attachment 7996 [details]
Search for locked out Samba users

Implementation of the requested feature using `univention-s4search` internaly. All the authentication options are passed through.

The name of the tool should be discussed.
Comment 2 Lukas Oyen univentionstaff 2016-09-12 14:03:42 CEST
Created attachment 7997 [details]
Testscript for `univention-samba-lockedout`

Adapted from: https://forge.univention.org/bugzilla/attachment.cgi?id=6561
Comment 3 Lukas Oyen univentionstaff 2017-09-19 16:11:56 CEST
Committed in 679b140, YAML 11d064b.
Comment 4 Arvid Requate univentionstaff 2017-10-17 14:53:09 CEST
Ok, I had to do a trivial adjustment to the script to properly interpret the samba-tool domain passwordsettings output of

Account lockout duration (mins): 0

as the default (30 min).

Committed in e3b95cdfca, YAML ac7e59db48.

Otherwise the script works.
Comment 5 Arvid Requate univentionstaff 2017-10-18 12:02:39 CEST
<http://errata.software-univention.de/ucs/4.2/200.html>